<!DOCTYPE html>
<html lang="en">
{% include 'header.html' %}
<body>
<div id="segment_id">
    {% include 'menu.html' %}
    <div class="ui grid">
        <div class="ui column" style="width: 75px; padding-top: 50px;">
            {% include 'project/sidebar.html' %}
        </div>

        <script>
            $(document).ready(function () {
                $('#tools_tabs .item').tab({
                    history: true
                });

                $('#import_table').DataTable({
                    "aaSorting": [],
                    "iDisplayLength": -1,
                    "searching": true,
                    "paging": false,
                    "info": false,
                    "padding": false,
                    'columnDefs': [
                        {
                            'targets': 0,
                            'searchable': true,
                            'orderable': false,
                        },
                        {
                            'targets': 1,
                            'searchable': true,
                            'orderable': false,
                        },
                        {
                            'targets': 2,
                            'searchable': false,
                            'orderable': false,
                        }]
                });

                $('#export_table').DataTable({
                    "aaSorting": [],
                    "iDisplayLength": -1,
                    "searching": true,
                    "paging": false,
                    "info": false,
                    "padding": false,
                    'columnDefs': [
                        {
                            'targets': 0,
                            'searchable': true,
                            'orderable': false,
                        },
                        {
                            'targets': 1,
                            'searchable': true,
                            'orderable': false,
                        },
                        {
                            'targets': 2,
                            'searchable': false,
                            'orderable': false,
                        }]
                });

                $('#scanners_table').DataTable({
                    "aaSorting": [],
                    "iDisplayLength": -1,
                    "searching": true,
                    "paging": false,
                    "info": false,
                    "padding": false,
                    'columnDefs': [
                        {
                            'targets': 0,
                            'searchable': true,
                            'orderable': false,
                        },
                        {
                            'targets': 1,
                            'searchable': true,
                            'orderable': false,
                        },
                        {
                            'targets': 2,
                            'searchable': false,
                            'orderable': false,
                        }]
                });

                $('#sniffers_table').DataTable({
                    "aaSorting": [],
                    "iDisplayLength": -1,
                    "searching": true,
                    "paging": false,
                    "info": false,
                    "padding": false,
                    'columnDefs': [
                        {
                            'targets': 0,
                            'searchable': true,
                            'orderable': false,
                        },
                        {
                            'targets': 1,
                            'searchable': true,
                            'orderable': false,
                        },
                        {
                            'targets': 2,
                            'searchable': false,
                            'orderable': false,
                        }]
                });

                $('#helpers_table').DataTable({
                    "aaSorting": [],
                    "iDisplayLength": -1,
                    "searching": true,
                    "paging": false,
                    "info": false,
                    "padding": false,
                    'columnDefs': [
                        {
                            'targets': 0,
                            'searchable': true,
                            'orderable': false,
                        },
                        {
                            'targets': 1,
                            'searchable': true,
                            'orderable': false,
                        },
                        {
                            'targets': 2,
                            'searchable': false,
                            'orderable': false,
                        }]
                });
            });
        </script>
        <style>
            table.display {
                width: 60%;
                margin: 0; /* <- works for me this way ****/
            }

            tr.odd {
                background-color: #fffdc2;
            }

            tr.even {
                background-color: #c3ffcd;
            }
        </style>
        <div class="ui column" style="width: calc(100% - 75px)">
            <h1 class="ui dividing header">Tools</h1>
            <div class="ui container" style="width: 100%">
                <div class="ui top attached tabular menu" id="tools_tabs">
                    <div class="active item" data-tab="import"><i class="upload icon"></i>Import tools</div>
                    <div class="item" data-tab="export"><i class="download icon"></i>Export tools</div>
                    <div class="item" data-tab="scanners"><i class="crosshairs icon"></i>Scanners</div>
                    <div class="item" data-tab="sniffers"><i class="wifi icon"></i>Sniffers</div>
                    <div class="item" data-tab="helpers"><i class="question circle outline icon"></i>Helpers</div>
                </div>
                <div class="ui bottom attached active tab segment" data-tab="import">
                    <table class="ui table" id="import_table">
                        <thead>
                        <tr id="table_header">
                            <th><h4>name</h4></th>
                            <th><h4>description</h4></th>
                            <th style="width:100px"></th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr>
                            <td><h4>Nmap</h4></td>
                            <td><h4>Nmap (Network Mapper) is a free and open-source network scanner created by Gordon Lyon. Nmap is used to discover hosts and services on a computer network by sending packets and analyzing the responses.</h4></td>
                            <td><a class="ui button blue" href="nmap/" style="width:100px;"><i class="share icon"></i>Open</a></td>
                        </tr>
                        <tr>
                            <td><h4>Nessus</h4></td>
                            <td><h4>Nessus is a proprietary vulnerability scanner developed by Tenable, Inc.</h4></td>
                            <td><a class="ui button blue" href="nessus/" style="width:100px;"><i class="share icon"></i>Open</a></td>
                        </tr>
                        <tr>
                            <td><h4>Masscan</h4></td>
                            <td><h4>MASSCAN is TCP port scanner which transmits SYN packetsasynchronously and produces results similar to nmap, the mostfamous port scanner. Internally, it operates more like scanrand,unicornscan, and ZMap, using asynchronous transmission. It&#x27;s aflexible utility that allows arbitrary address and port ranges.</h4></td>
                            <td><a class="ui button blue" href="nmap/" style="width:100px;"><i class="share icon"></i>Open</a></td>
                        </tr>
                        <tr>
                            <td><h4>Nikto</h4></td>
                            <td><h4>Nikto is a free software command-line vulnerability scanner that scans webservers for dangerous files/CGIs, outdated server software and other problems. It performs generic and server type specific checks. It also captures and prints any cookies received. The Nikto code itself is free software, but the data files it uses to drive the program are not.</h4></td>
                            <td><a class="ui button blue" href="nikto/" style="width:100px;"><i class="share icon"></i>Open</a></td>
                        </tr>
                        <tr>
                            <td><h4>Acunetix</h4></td>
                            <td><h4>Acunetix lets you manage security risks associated with your web presence. It detects an extensive range of web vulnerabilities and helps eliminate them.</h4></td>
                            <td><a class="ui button blue" href="acunetix/" style="width:100px;"><i class="share icon"></i>Open</a></td>
                        </tr>
                        <tr>
                            <td><h4>Checkmarx SAST</h4></td>
                            <td><h4>Checkmarx SAST (CxSAST) is an enterprise-grade flexible and accurate static analysis solution used to identify hundreds of security vulnerabilities in custom code.</h4></td>
                            <td><a class="ui button blue" href="checkmarx/" style="width:100px;"><i class="share icon"></i>Open</a></td>
                        </tr>
                        <tr>
                            <td><h4>Dependency-check</h4></td>
                            <td><h4>OWASP dependency-check is an open source solution the OWASP Top 10 2013 entry. Dependency-check can currently be used to scan Java and .NET applications to identify the use of known vulnerable components. Experimental analyzers for Python, Ruby, PHP (composer), and Node.js applications; these are experimental due to the possible false positive and false negative rates.</h4></td>
                            <td><a class="ui button blue" href="depcheck/" style="width:100px;"><i class="share icon"></i>Open</a></td>
                        </tr>
                        <tr>
                            <td><h4>OpenVAS/GVM</h4></td>
                            <td><h4>OpenVAS (Open Vulnerability Assessment System, originally known as GNessUs) is a software framework of several services and tools offering vulnerability scanning and vulnerability management. All OpenVAS products are free software, and most components are licensed under the GNU General Public License (GPL). Plugins for OpenVAS are written in the Nessus Attack Scripting Language, NASL.</h4></td>
                            <td><a class="ui button blue" href="openvas/" style="width:100px;"><i class="share icon"></i>Open</a></td>
                        </tr>
                        <tr>
                            <td><h4>NetSparker</h4></td>
                            <td><h4>Netsparker is an automated, yet fully configurable, web application security scanner that enables you to scan websites, web applications and web services, and identify security flaws. Netsparker can scan all types of web applications, regardless of the platform or the language with which they are built.</h4></td>
                            <td><a class="ui button blue" href="netsparker/" style="width:100px;"><i class="share icon"></i>Open</a></td>
                        </tr>
                        <tr>
                            <td><h4>Qualys</h4></td>
                            <td><h4>Qualys Cloud Platform provides you with continuous security and compliance, allowing you to monitor, detect and protect your global network with instant, unparalleled "single-pane-of-glass" visibility.</h4></td>
                            <td><a class="ui button blue" href="qualys/" style="width:100px;"><i class="share icon"></i>Open</a></td>
                        </tr>
                        <tr>
                            <td><h4>WPScan</h4></td>
                            <td><h4>The WPScan CLI tool is a free, for non-commercial use, black box WordPress security scanner written for security professionals and blog maintainers to test the security of their sites.</h4></td>
                            <td><a class="ui button blue" href="wpscan/" style="width:100px;"><i class="share icon"></i>Open</a></td>
                        </tr>
                        <tr>
                            <td><h4>kube-hunter</h4></td>
                            <td><h4>kube-hunter hunts for security weaknesses in Kubernetes clusters. The tool was developed to increase awareness and visibility for security issues in Kubernetes environments.</h4></td>
                            <td><a class="ui button blue" href="kube-hunter/" style="width:100px;"><i class="share icon"></i>Open</a></td>
                        </tr>
                        <tr>
                            <td><h4>Burp Suite Enterprise Edition</h4></td>
                            <td><h4>Burp Scanner which was scaled for the enterprise.</h4></td>
                            <td><a class="ui button blue" href="burp_enterprise/" style="width:100px;"><i class="share icon"></i>Open</a></td>
                        </tr>
                        <tr>
                            <td><h4>DNSRecon</h4></td>
                            <td><h4>DNSRecon is a simple python script that enables to gather DNS-oriented information on a given target.</h4></td>
                            <td><a class="ui button blue" href="dnsrecon/" style="width:100px;"><i class="share icon"></i>Open</a></td>
                        </tr>
                        <tr>
                            <td><h4>theHarvester</h4></td>
                            <td><h4>theHarvester is a very simple to use, yet powerful and effective tool designed to be used in the early stages of a penetration test or red team engagement. Use it for open source intelligence (OSINT) gathering to help determine a company's external threat landscape on the internet.</h4></td>
                            <td><a class="ui button blue" href="theharvester/" style="width:100px;"><i class="share icon"></i>Open</a></td>
                        </tr>
                        <tr>
                            <td><h4>Metasploit</h4></td>
                            <td><h4>The Metasploit Project is a computer security project that provides information about security vulnerabilities and aids in penetration testing and IDS signature development. It is owned by Boston, Massachusetts-based security company Rapid7.</h4></td>
                            <td><a class="ui button blue" href="metasploit/" style="width:100px;"><i class="share icon"></i>Open</a></td>
                        </tr>
                        <tr>
                            <td><h4>Nuclei</h4></td>
                            <td><h4>Fast and customizable vulnerability scanner based on simple YAML based DSL.</h4></td>
                            <td><a class="ui button blue" href="nuclei/" style="width:100px;"><i class="share icon"></i>Open</a></td>
                        </tr>
                        <tr>
                            <td><h4>PingCastle</h4></td>
                            <td><h4>Ping Castle is a tool designed to assess quickly the Active Directory security level with a methodology based on risk assessment and a maturity framework. It does not aim at a perfect evaluation but rather as an efficiency compromise.</h4></td>
                            <td><a class="ui button blue" href="pingcastle/" style="width:100px;"><i class="share icon"></i>Open</a></td>
                        </tr>
                        <tr>
                            <td><h4>MaxPatrol Scanner</h4></td>
                            <td><h4>PMaxPatrol Scanner is a network vulnerability scanner with audit/pentest/certification modes.</h4></td>
                            <td><a class="ui button blue" href="maxpatrol/" style="width:100px;"><i class="share icon"></i>Open</a></td>
                        </tr>
                        </tbody>
                    </table>
                </div>
                <div class="ui bottom attached tab segment" data-tab="export">
                    <table class="ui table" id="export_table">
                        <thead>
                        <tr id="table_header">
                            <th><h4>name</h4></th>
                            <th><h4>description</h4></th>
                            <th style="width:100px"></th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr>
                            <td><h4>Exporter</h4></td>
                            <td><h4>Export hosts and ports with special rules</h4></td>
                            <td><a class="ui button blue" href="exporter/" style="width:100px;"><i class="share icon"></i>Open</a></td>
                        </tr>
                        <tr>
                            <td><h4>Duplicator</h4></td>
                            <td><h4>Copy project settings to another PCF project: hosts, hostnames, issues, files, notes, testers, credentials.</h4></td>
                            <td><a class="ui button blue" href="duplicator/" style="width:100px;"><i class="share icon"></i>Open</a></td>
                        </tr>
                        </tbody>
                    </table>
                </div>
                <div class="ui bottom attached tab segment" data-tab="scanners">
                    <table class="ui table" id="scanners_table">
                        <thead>
                        <tr id="table_header">
                            <th><h4>name</h4></th>
                            <th><h4>description</h4></th>
                            <th style="width:100px"></th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr>
                            <td><h4>ipwhois</h4></td>
                            <td><h4>ipwhois is a Python package focused on retrieving and parsing whois datafor IPv4 and IPv6 addresses.</h4></td>
                            <td><a class="ui button blue" href="ipwhois/" style="width:100px;"><i class="share icon"></i>Open</a></td>
                        </tr>
                        <tr>
                            <td><h4>shodan</h4></td>
                            <td><h4>Shodan is a search engine that lets the user find specific types of computers (webcams, routers, servers, etc.) connected to the internet using a variety of filters.</h4></td>
                            <td><a class="ui button blue" href="shodan/" style="width:100px;"><i class="share icon"></i>Open</a></td>
                        </tr>
                        <tr>
                            <td><h4>whois</h4></td>
                            <td><h4>python-whois is a Python package focused on retrieving and parsing whois data for domains.</h4></td>
                            <td><a class="ui button blue" href="whois/" style="width:100px;"><i class="share icon"></i>Open</a></td>
                        </tr>
                        </tbody>
                    </table>
                </div>
                <div class="ui bottom attached tab segment" data-tab="sniffers">
                    <table class="ui table" id="sniffers_table">
                        <thead>
                        <tr id="table_header">
                            <th><h4>name</h4></th>
                            <th><h4>description</h4></th>
                            <th style="width:100px"></th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr>
                            <td><h4>HTTP</h4></td>
                            <td><h4>Capture HTTP-requests and save them.</h4></td>
                            <td style="width: 100px;"><a class="ui button blue" href="http-sniffer/" style="width:100px;"><i class="share icon"></i>Open</a></td>
                        </tr>
                        </tbody>
                    </table>
                </div>
                <div class="ui bottom attached tab segment" data-tab="helpers">
                    <table class="ui table" id="helpers_table">
                        <thead>
                        <tr id="table_header">
                            <th><h4>name</h4></th>
                            <th><h4>description</h4></th>
                            <th style="width:100px"></th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr>
                            <td><h4>NMAP command generator</h4></td>
                            <td><h4>Generate NMAP command.</h4></td>
                            <td><a class="ui button blue" href="nmap-helper/" style="width:100px;"><i class="share icon"></i>Open</a></td>
                        </tr>
                        <tr>
                            <td><h4>MSFvenom command generator</h4></td>
                            <td><h4>Generate MSFvenom command.</h4></td>
                            <td><a class="ui button blue" href="msfvenom-helper/" style="width:100px;"><i class="share icon"></i>Open</a></td>
                        </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
        {% include 'footer.html' %}
    </div>
</div>
</body>
</html>